CRAN Package Check Results for Package EpiSignalDetection

Last updated on 2019-06-19 19:46:35 CEST.

Flavor Version Tinstall Tcheck Ttotal Status Flags
r-devel-linux-x86_64-debian-clang 0.1.1 3.84 39.33 43.17 OK
r-devel-linux-x86_64-debian-gcc 0.1.1 3.15 31.97 35.12 OK
r-devel-linux-x86_64-fedora-clang 0.1.1 51.81 NOTE
r-devel-linux-x86_64-fedora-gcc 0.1.1 50.27 NOTE
r-devel-windows-ix86+x86_64 0.1.1 15.00 79.00 94.00 OK
r-patched-linux-x86_64 0.1.1 4.52 38.16 42.68 OK
r-patched-solaris-x86 0.1.1 78.40 ERROR
r-release-linux-x86_64 0.1.1 3.95 38.81 42.76 OK
r-release-windows-ix86+x86_64 0.1.1 11.00 54.00 65.00 OK
r-release-osx-x86_64 0.1.1 ERROR
r-oldrel-windows-ix86+x86_64 0.1.1 6.00 72.00 78.00 OK
r-oldrel-osx-x86_64 0.1.1 ERROR

Check Details

Version: 0.1.1
Check: dependencies in R code
Result: NOTE
    Namespaces in Imports field not imported from:
     ‘DT’ ‘ggplot2’ ‘knitr’ ‘pander’
     All declared Imports should be used.
Flavors: r-devel-linux-x86_64-fedora-clang, r-devel-linux-x86_64-fedora-gcc, r-patched-solaris-x86, r-release-osx-x86_64, r-oldrel-osx-x86_64

Version: 0.1.1
Check: examples
Result: ERROR
    Running examples in ‘EpiSignalDetection-Ex.R’ failed
    The error most likely occurred in:
    
    > ### Name: runEpiSDReport
    > ### Title: Run the EpiSignalDetection report (HTML markdown)
    > ### Aliases: runEpiSDReport
    >
    > ### ** Examples
    >
    > #---> OR
    >
    > #-- First setting the parameters to run the report for
    > input <- list(
    + disease = "Salmonellosis",
    + country = "Portugal",
    + indicator = "Reported cases",
    + stratification = "Confirmed cases",
    + unit = "Month",
    + daterange = c("2011-01-01", "2016-12-31"),
    + algo = "FarringtonFlexible",
    + testingperiod = 6
    + )
    >
    > #-- Second running the report based on the EpiSignalDetection::SignalData dataset
    > #-- and store it in a temporary folder
    > runEpiSDReport(input = input)
    Error: pandoc version 1.12.3 or higher is required and was not found (see the help page ?rmarkdown::pandoc_available).
    Execution halted
Flavors: r-patched-solaris-x86, r-release-osx-x86_64, r-oldrel-osx-x86_64